Bug 245422 - www/firefox: update to 76.0 (phase: Beta, ETA: 2020-05-05)
Summary: www/firefox: update to 76.0 (phase: Beta, ETA: 2020-05-05)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL: https://wiki.mozilla.org/Releases/Fir...
Keywords: needs-qa, patch
Depends on: 244793
Blocks: 247329
  Show dependency treegraph
 
Reported: 2020-04-07 11:16 UTC by Jan Beich
Modified: 2020-06-16 21:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2020-04-07 11:16:34 UTC
See review D24326 for the patch.
Comment 1 commit-hook freebsd_committer 2020-04-27 23:15:02 UTC
A commit references this bug:

Author: jbeich
Date: Mon Apr 27 23:14:31 UTC 2020
New revision: 533209
URL: https://svnweb.freebsd.org/changeset/ports/533209

Log:
  www/firefox: update to 76.0

  - Add a workaround for Clang [1]

  Changes:	https://www.mozilla.org/firefox/76.0/releasenotes/
  PR:		245422
  Submitted by:	tobik [1]
  Security:	aec18162-eaf3-4e73-a38e-3fd98bc47869
  Differential Revision:	https://reviews.freebsd.org/D24326

Changes:
  head/www/firefox/Makefile
  head/www/firefox/distinfo
  head/www/firefox/files/patch-bug1288587
  head/www/firefox/files/patch-bug1550891
  head/www/firefox/files/patch-bug1612377
  head/www/firefox/files/patch-bug1619258
  head/www/firefox/files/patch-bug1622551
  head/www/firefox/files/patch-bug1628567
  head/www/firefox/files/patch-bug847568
Comment 2 commit-hook freebsd_committer 2020-05-04 17:00:12 UTC
A commit references this bug:

Author: jbeich
Date: Mon May  4 16:59:34 UTC 2020
New revision: 533932
URL: https://svnweb.freebsd.org/changeset/ports/533932

Log:
  MFH: r533209 r533408

  www/firefox: update to 76.0

  - Add a workaround for Clang [1]

  Changes:	https://www.mozilla.org/firefox/76.0/releasenotes/
  PR:		245422
  Submitted by:	tobik [1]
  Security:	aec18162-eaf3-4e73-a38e-3fd98bc47869
  Approved by:	ports-secteam blanket
  Differential Revision:	https://reviews.freebsd.org/D24326

Changes:
_U  branches/2020Q2/
  branches/2020Q2/www/firefox/Makefile
  branches/2020Q2/www/firefox/distinfo
  branches/2020Q2/www/firefox/files/patch-bug1288587
  branches/2020Q2/www/firefox/files/patch-bug1550891
  branches/2020Q2/www/firefox/files/patch-bug1612377
  branches/2020Q2/www/firefox/files/patch-bug1619258
  branches/2020Q2/www/firefox/files/patch-bug1622551
  branches/2020Q2/www/firefox/files/patch-bug1628567
  branches/2020Q2/www/firefox/files/patch-bug847568